package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.NetworkAclModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @author: yangzhenrong
 * @Date: 2020/12/15 16:22
 * @Description: 网络ACL
 */
public interface NetworkAclProvider extends SuperProvider {

    default BocloudResult list() {
        return null;
    }

    default BocloudResult detail(String networkAclId) {
        return null;
    }

    default BocloudResult remove(String networkAclId) {
        return null;
    }

    default BocloudResult modify(NetworkAclModel model) {
        return null;
    }

    default BocloudResult create(NetworkAclModel model) {
        return null;
    }

    default BocloudResult associate(NetworkAclModel model) {
        return null;
    }

    default BocloudResult UnAssociate(NetworkAclModel model) {
        return null;
    }
}
